package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 投放渠道
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_agent")
public class Agent {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 渠道名称
     */
    private String agentName;
    /**
     * 渠道唯一标识
     */
    private String agentKey;
    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    private Integer accountType;
    /**
     * 账号类型
     */
    private Long accountId;
    /**
     * 游戏id
     */
    private Long gameId;
    /**
     * 腾讯用户行为数据源 id
     */
    private Long userActionSetId;

    private LocalDateTime createTime;

    private Long createBy;

    private LocalDateTime updateTime;

    private Long updateBy;
}